For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Sign upLog in
Developer GuideCore ConceptsAPI Reference
  • API Reference
      • GETGet
      • DELDelete
      • PATCHUpdate
      • POSTDuplicate
      • POSTCopy
      • GETSearch
LogoLogo
Sign upLog in
API ReferenceLandscapes

Duplicate

POST
https://api.icepanel.io/v1/landscapes/:landscapeId/duplicate
POST
/v1/landscapes/:landscapeId/duplicate
1import { IcePanelClient } from "@icepanel/sdk";
2
3async function main() {
4 const client = new IcePanelClient({
5 apiKey: "YOUR_API_KEY_HERE",
6 });
7 await client.landscapes.duplicate("landscapeId", {
8 body: {
9 name: "string",
10 },
11 });
12}
13main();
1{
2 "landscape": {
3 "name": "string",
4 "scheduledVersions": true,
5 "organizationId": "string",
6 "createdAt": "2024-01-15T09:30:00Z",
7 "createdBy": "user",
8 "createdById": "string",
9 "id": "string",
10 "updatedAt": "2024-01-15T09:30:00Z",
11 "updatedBy": "user",
12 "updatedById": "string"
13 }
14}
Was this page helpful?
Previous

Copy

Next
Built with

Authentication

X-API-Keystring
API key authentication
OR
AuthorizationBearer
Bearer token authentication

Path parameters

landscapeIdstringRequired

Query parameters

targetOrganizationIdstringOptional

Request

This endpoint expects an object.
namestringRequired
scheduledVersionsbooleanOptional

Response

OK
landscapeobject

Errors

401
Unauthorized Error
404
Not Found Error
422
Unprocessable Entity Error
429
Too Many Requests Error
500
Internal Server Error